Infrastructure - Story #3764

Event and exception index log service
2013-05-15 15:09 - Skye Roseboom

Status: Closed Start date: 2013-05-15
Priority: Normal Due date: 2013-08-24
Assignee: Skye Roseboom % Done: 100%
Category: d1_monitor Estimated time: 0.00 hour
Target version: 2013.33-Block.4.4

Story Points:

Description

Provide service to CN components to report events and exceptions to a synchronized, searchable log service. Schema should be
based on D1 LogEntry to provide possible merge in the future with aggregated log.

Will be used for recording auditing events and generating reports.

Related issues:
Related to Infrastructure - Task #824: CN replica auditing Closed 2011-10-03

History

#1 - 2013-05-15 15:12 - Skye Roseboom
- Due date changed from 2013-05-15 to 2013-05-25
- Target version changed from 2013.18-Block.3.1 to 2013.20-Block.3.2

#2 - 2013-06-04 19:41 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2013-08-02 17:26 - Skye Roseboom
- Due date changed from 2013-05-25 to 2013-08-24
- Target version changed from 2013.20-Block.3.2 to 2013.33-Block.4.4

#4 - 2013-08-15 19:24 - Skye Roseboom

- Status changed from In Progress to Closed

Initial implementation is complete. Used by cn-replication-audting component.

Implemented as a Solr 4 cloud service. Each CN runs solr 4 in a jetty servlet container. Apache zookeeper is employed to configure/coordinate the
solr 4 cloud service.

Dataone install components have been created for jetty, solr 4, zookeeper, solr-jetty bridge component (installs solr web app in jetty).

Initial testing complete. Ready for release with completion of replication auditing testing.
